Draft: cotare

From FreeCAD Documentation
Revision as of 03:24, 3 October 2017 by Waverider (talk | contribs)

Draft Dimension

poziția meniului
Draft -> Dimension
Ateliere
Draft, Arch
scurtătură
D I
Prezentat în versiune
-
A se vedea, de asemenea,
FlipDimension

Descriere

Unealta Dimensiune trasează o dimensiune de cotare în documentul curent prin desemnarea a două puncte care definesc distanţa de măsurat şi un alt treilea punct, care specifică locul pe unde trece linia de cotare.

Instrucţiuni de folosire

  1. Apăsaţi butonul Ciornă Dimensiune ori tastele D, apoi I.
  2. Alegeţi cu un clic un punct din vederea 3D sau introduceţi manual coordonatele de la tastatură.
  3. Daţi un clic în spaţiul 3D ca să alegeţi al doilea punct ori introduceţi coordonatele manual.
  4. Alegeţi al treilea punct cu un clic ori introduceţi-i coordonatele.

Tipuri de dimensiuni care pot fi alese

  • Dimensiuni liniare: alegeţi oricare 2 puncte sau orice margine dreaptă în vreme ce apăsaţi tasta ALT.
  • Dimensiuni orizontale/verticale: prin apăsarea tastei SHIFT după selectarea primului punct.
  • Dimensiunea diametrului: prin alegerea unei margini curbe când se apasă tasta ALT.
  • Dimensiunea razei: prin alegerea unei margini curbe când se apasă tasta ALT, iar apoi se apasă tasta SHIFT.
  • Dimensiuni ale unghiurilor: prin alegerea a două margini drepte când se apasă tasta ALT.

Opţiuni

  • Apăsaţi tasta X, Y sau Z după alegerea unui punct ca să constrângeţi următorul punct pe axele de coordonate date.
  • Ca să introduceţi coordonatele manual, doar tastaţi numerele, apoi apăsaţi tasta ENTER după fiecare desemnare a componentei X, Y şi Z.
  • Când desenaţi, apăsaţi tasta CTRL ca să forţaţi Fixarea punctului în cea mai apropiată locaţie de fixare, independent de distanţă.
  • Apăsând SHIFT creaţi o constrângere a dimensiunii orizontale sau verticale sau, când operaţi cu linii curbe, puteţi să comutaţi între diametru şi rază.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
  • Press ESC or the Cancel button to abort the current Line command.
  • By picking an existing edge with ALT, instead of entering measurement points, the dimension will become parametric and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.
  • If an edge is selected before starting the Dimension command, the created dimension will also be parametric.
  • The direction of the dimension can be changed afterwards, by modifying its "Direction" property

Properties

  • DateStart: The start point of the distance to measure
  • DateEnd: The end point of the distance to measure
  • DateDimline: A point through which the dimension line must pass
  • VizualizareDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • VizualizareFont Size: The size of the letters
  • VizualizareExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • VizualizareText Position: Can be used to force the text to be displayed at a certain position
  • VizualizareText Spacing: Specifies the space between the text and the dimension line
  • VizualizareOverride: Specifies a text to display instead of the measurement. Insert "$dim", inside that text, to display the measurement value
  • VizualizareFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VizualizareArrow Type: The type of arrow to use
  • VizualizareArrow Size: The size of the arrows
  • VizualizareDecimals: The number of decimal places to display on the dimension
  • VizualizareFlip Arrows: Reverse the orientation of arrows
  • VizualizareUnit Override: Expresses the distance in the given unit (leave blank to use the system unit) introduced in version 0.17

Scripturi

Unealta Dimensiune poate fi folosită în macro-uri şi de la consola python cu ajutorul funcţiei următoare:

makeDimension (p1,p2,[p3])

or

makeDimension (object,i1,i2,p3)

or

makeDimension (objlist,indices,p3)
  • Creates a Dimension object with the dimension line passign through p3.
  • The Dimension object takes the Draft linewidth and color set in the command bar.
  • There are multiple ways to create a dimension, depending on the arguments you pass to it:
  1. (p1,p2,p3): creates a standard dimension from p1 to p2.
  2. (object,i1,i2,p3): creates a linked dimension to the given object, measuring the distance between its vertices indexed i1 and i2.
  3. (object,i1,mode,p3): creates a linked dimension to the given object, i1 is the index of the (curved) edge to measure, and mode is either "radius" or "diameter". Returns the newly created object.
makeAngularDimension (center,[angle1,angle2],p3)
  • din centrul dat, creează o dimensiune unghiulară, bazată pe o listtă de unghiuri stabilite în prealabil, care trece prin p3.
  • redă obiectul nou creat.

Exempluː

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeDimension(p1,p2,p3)

Legături